import React from "react";
import {
  Redirect,
  BrowserRouter as Router,
  Route,
  Switch,
} from "react-router-dom";
import Main from "./components/skeleton/main";
import ProtectedRoute from "./components/ProtectedRoute/protected-route";
import Gdpr from "./components/Gdpr/gdpr";
import TermsOfUse from "./components/Gdpr/terms-of-use";
import MissingRight from "./components/skeleton/missing-right";
import Login from "./components/login/login";
import { Suspense } from "react";
import { Spin } from "antd";
import UntiyFrame from "./components/unityFrame/untiy-frame";



function App() {
  
  return (
    <div>
      <Suspense fallback={<Spin spinning={true} />}>
        <Router>
          <Switch>
            <Route exact path="/login" component={Login} />
            <Route exact path="/gdpr" component={Gdpr} />
            <Route exact path="/term-of-use" component={TermsOfUse} />
            <Route path="/missing-right" component={MissingRight} />
            <ProtectedRoute path="/vrtanoda" component={Main} rights={[1, 2]} />
            <ProtectedRoute
              path="/unity"
              component={UntiyFrame}
              rights={[1, 2]}
            />
            <Redirect from="**" to="/login" />
          </Switch>
        </Router>
      </Suspense>
    </div>
  );
}

export default App;
