import axios from "axios";
import { LANGUAGE } from "../constants/action-types";

export const getAllLanguages = () => {
    return async (dispatch) => {
      dispatch({ type: LANGUAGE.LANGUAGE_LOADING });
      await axios
        .get("/languages", {})
        .then((response) => {
          dispatch({
            type: LANGUAGE.LANGUAGE_LOADED,
            payload: response.data.languages,
          });
        })
        .catch((err) => {
          dispatch({
            type: LANGUAGE.LANGUAGE_ERROR,
            payload: {
              message: err.response.data.message,
              code: err.response.data.code,
            },
          });
        });
    };
}