import axios from "axios";
import { LOGIN_ACTIONS } from "../constants/action-types";
import Cookies from "universal-cookie";

export const login = (email, password) => {
  return async (dispatch) => {
    dispatch({ type: LOGIN_ACTIONS.TOKEN_LOADING });

    await axios
      .post(process.env.REACT_APP_API_URL + "/users/login", {
        email,
        password,
      })
      .then((response) => {
        const tokenToSave = "Bearer " + response.data.accessToken;
            const cookies = new Cookies();
            cookies.set("isEditorOpen", true, { path: "/" });
        if (response.data.user.groupId === 3) {
          dispatch({
            type: LOGIN_ACTIONS.TOKEN_ERROR,
            payload: {
              message: "Forbidden",
              code: 30,
            },
          });
        } else {
          dispatch({
            type: LOGIN_ACTIONS.TOKEN_LOADED,
            payload: { token: tokenToSave, user: response.data.user },
          });
        }
      })
      .catch((err) => {
        dispatch({
          type: LOGIN_ACTIONS.TOKEN_ERROR,
          payload: {
            message: err.response.data.message,
            code: err.response.data.code,
          },
        });
      });
  };
};
export const logout = () => {
  return (dispatch) => {
    dispatch({ type: LOGIN_ACTIONS.LOGOUT });
  };
};
