import axios from "axios";
import { STATISTICS } from "../constants/action-types";

export const getAllTactStatisticsByUsersAndCourseID = (userId, courseId) => {
    return async (dispatch) => {
        dispatch({ type: STATISTICS.TACT_STATISTICS_BY_USER_AND_COURSE_LOADING });
        await axios
            .get("statistics/get-all-tact-statistics-by-user-and-course/" + userId + '/' + courseId, {
            })
            .then((response) => {
                dispatch({
                    type: STATISTICS.TACT_STATISTICS_BY_USER_AND_COURSE_LOADED,
                    payload: response.data

                });
            })
            .catch((err) => {
                dispatch({
                    type: STATISTICS.TACT_STATISTICS_BY_USER_AND_COURSE_ERROR,
                    payload: { message: err.response.data.error.message, code: err.response.data.error.code },
                });
            });
    };
};
export const getAllByUserId = (userId) => {
    return async (dispatch) => {
        dispatch({ type: STATISTICS.TACT_STATISTICS_LOADING });
        await axios
            .get("statistics/get-all-tact-statistics-by-user/" + userId, {
            })
            .then((response) => {
                dispatch({
                    type: STATISTICS.TACT_STATISTICS_LOADED,
                    payload: response.data

                });
            })
            .catch((err) => {
                dispatch({
                    type: STATISTICS.TACT_STATISTICS_ERROR,
                    payload: { message: err.response.data.error.message, code: err.response.data.error.code },
                });
            });
    };
};
export const getAllTActStatisticsUserByCourseId = (courseId) => {
    return async (dispatch) => {
        dispatch({ type: STATISTICS.TACT_STATISTICS_USERS_LOADING });
        await axios
            .get("statistics/get-all-tact-statistics-users-by-course/" + courseId, {
            })
            .then((response) => {
                dispatch({
                    type: STATISTICS.TACT_STATISTICS_USERS_LOADED,
                    payload: response.data

                });
            })
            .catch((err) => {
                dispatch({
                    type: STATISTICS.TACT_STATISTICS_USERS_ERROR,
                    payload: { message: err.response.data.error.message, code: err.response.data.error.code },
                });
            });
    };
}

export const getAllTactActionsByTactStatisticsId = (tactStatisticsId) => {
    return async (dispatch) => {
        dispatch({ type: STATISTICS.TACT_STATISTICS_ACTION_BY_TACT_STATISTIC_ID_LOADING })
        await axios
            .get("statistics/get-all-tact-statistics-action-by-tact-statistics/" + tactStatisticsId, {
            })
            .then((response) => {
                console.log(response.data);
                dispatch({
                    type: STATISTICS.TACT_STATISTICS_ACTION_BY_TACT_STATISTIC_ID_LOADED,
                    payload: response.data
                });
            })
            .catch((err) => {
                dispatch({
                    type: STATISTICS.TACT_STATISTICS_ACTION_BY_TACT_STATISTIC_ID_ERROR,
                    payload: { message: err.response.data.error.message, code: err.response.data.error.code },
                });
            });
    }
}