import CKEditor from "@ckeditor/ckeditor5-react";
import DecoupledEditor from "@ckeditor/ckeditor5-build-decoupled-document";
// import ClassicEditor from "@ckeditor/ckeditor5-editor-classic/src/classiceditor";

import React, { Component } from "react";
import { withTranslation } from "react-i18next";
import { connect } from "react-redux";
import { Button, Col, Row } from "antd";
import { getCourseDocumentation, getCourseDocumentationData, setDocumetation } from "../../actions/course";

import "./teszt.scss";

const mapDispatchToProps = (dispatch) => {
  return {
    setDocumetation: (data) => dispatch(setDocumetation(data)),
    getCourseDocumentation: (id) => dispatch(getCourseDocumentation(id)),
    getCourseDocumentationData: (id) => dispatch(getCourseDocumentationData(id)),
  };
};
class ConnectedDocumentationPage extends Component {
  ref = React.createRef();

  state = {
    data: "",
  };

  componentDidMount = async () => {
    await this.props.getCourseDocumentationData(this.props.courseId)
    const teszt =
      '<style>img{width: 100% !important; margin: 0 auto}</style><div style="word-break: break-all;">' +
      this.props.documentation +
      "</div>";
    this.setState({ data: teszt });
  };
  save = async () => {
    const saveData = {
      id: this.props.courseId,
      documentation: this.state.data,
    };
    await this.props.setDocumetation(saveData);
  };

  downloadPDF = async () => {
    const saveData = {
      id: this.props.courseId,
      documentation: this.state.data,
    };
    await this.props.setDocumetation(saveData);
    await this.props.getCourseDocumentation(this.props.courseId);
     const link = document.createElement("a");
     link.href = process.env.REACT_APP_API_URL + this.props.documentationDPF;
     document.body.appendChild(link);
     link.click();
     document.body.removeChild(link);
  }
  render() {
    return (
      <div>
        <Row gutter={[24, 24]} justify="space-between">
          <Col>
            <Button type="primary" onClick={this.save}>
              Mentés
            </Button>
          </Col>
          <Col>
            <Button type="primary" onClick={this.downloadPDF}>Export</Button>
          </Col>
        </Row>
        <div class="document-editor__toolbar">
          <div class="document-editor">
            <div id="toolbar-container"></div>
            <div class="document-editor__editable-container">
              <div class="document-editor__editable"></div>
              <CKEditor
                // config={{
                //   removePlugins: ["image"],
                //   toolbar: [],
                //   disallowedContent: ["img{border*}"],
                // }}
                editor={DecoupledEditor}
                data={this.state.data}
                onInit={(editor) => {
                  editor.config._config.toolbar = [];
                  const toolbarContainer =
                    document.querySelector("#toolbar-container");

                  toolbarContainer.appendChild(editor.ui.view.toolbar.element);
                  editor.image = {};
                  window.editor = editor;
                  // You can store the "editor" and use when it is needed.
                  if (
                    this.state.data !== null &&
                    this.state.data !== undefined
                  ) {
                    editor.setData(this.state.data);
                  }
                }}
                onReady={(editor) => {
                  editor.config._config.image.toolbar = [];
                  console.log(editor.config._config.image.toolbar);
                  const toolbarContainer =
                    document.querySelector("#toolbar-container");

                  toolbarContainer.appendChild(editor.ui.view.toolbar.element);
                  editor.image = {};
                  window.editor = editor;
                  // You can store the "editor" and use when it is needed.
                  if (
                    this.state.data !== null &&
                    this.state.data !== undefined
                  ) {
                    editor.setData(this.state.data);
                  }
                }}
                onChange={(event, editor) => {
                  editor.config._config.image.toolbar = [];
                  const data = editor.getData();
                    this.setState({ data: data });
                  editor.image = {};
                  window.editor = editor;
                  console.log({ event, editor, data });
                }}
                onBlur={(event, editor) => {
                  editor.config._config.image.toolbar = [];
                  editor.image = {};
                  window.editor = editor;
                }}
                onFocus={(event, editor) => {
                  editor.config._config.image.toolbar = [];
                  editor.image = {};
                  window.editor = editor;
                }}
                config={{
                  toolbar: {
                    items: [
                      "heading",
                      "|",
                      "fontfamily",
                      "fontsize",
                      "fontColor",
                      "fontBackgroundColor",
                      "|",
                      "bold",
                      "italic",
                      "underline",
                      "strikethrough",
                      "|",
                      "alignment",
                      "|",
                      "numberedList",
                      "bulletedList",
                      "|",
                      "outdent",
                      "indent",
                      "|",
                      "uploadImage",
                      "insertTable",
                      "|",
                      "undo",
                      "redo",
                    ],
                  },
                  image: {
                    toolbar: [],
                  },
                  ckfinder: {
                    uploadUrl:
                      process.env.REACT_APP_API_URL + "/files/upload-image",
                  },
                }}
              />
            </div>
          </div>
        </div>
      </div>
    );
  }
}
const mapStateToProps = (state) => ({
  users: state.userReducer.courseUsers,
  documentationDPF: state.courseReducer.documentationDPF,
  documentationDPFStatus: state.courseReducer.documentationDPFStatus,
  documentation: state.courseReducer.documentation,
  documentationStatus: state.courseReducer.documentationStatus,
});
const DocumentationPage = withTranslation()(
  connect(mapStateToProps, mapDispatchToProps)(ConnectedDocumentationPage)
);
export default DocumentationPage;
