import React, { Component } from "react";
import { connect } from "react-redux";
import { withTranslation } from "react-i18next";
import { Document, Page, pdfjs } from "react-pdf";
import { Button, Row } from "antd";
import { DownloadOutlined } from "@ant-design/icons";
pdfjs.GlobalWorkerOptions.workerSrc = `//cdnjs.cloudflare.com/ajax/libs/pdf.js/${pdfjs.version}/pdf.worker.js`;
const mapDispatchToProps = (dispatch) => {
  return {};
};
class ConnectedPdfModal extends Component {
  state = {
    numPages: null,
    pageNumber: 1,
  };

  onDocumentLoadSuccess = ({ numPages }) => {
    this.setState({ numPages });
  };
  savePdf = () => {
    const link = document.createElement("a");
    link.href =
      this.props.selectedPDFurl +
      "&fileOutName=" +
      this.props.fileOutName +
      ".pdf";
    console.log(link);
    document.body.appendChild(link);
    link.click();
    document.body.removeChild(link);
  };

  render() {
    const { pageNumber } = this.state;

    return (
      <div>
        <Document
          renderMode="canvas"
          file={this.props.selectedPDFurl}
          onLoadSuccess={this.onDocumentLoadSuccess}
        >
          <Page className="pdf-reader" scale={1.2} pageNumber={pageNumber} />
        </Document>
        {/* <Row gutter={24} align="middle" justify="center">
                     <p>Page {pageNumber} of {numPages}</p> 
                </Row> */}
        {/* <Row gutter={24} align="middle" justify="center"><Col span={24}></Col></Row> */}
        <Row gutter={24} align="middle" justify="center">
          <Button
            onClick={this.savePdf}
            type="primary"
            icon={<DownloadOutlined />}
            size={"large"}
            style={{ marginTop: "1vh" }}
          >
            {this.props.t("PDF_DOWNLOAD")}
          </Button>
        </Row>
      </div>
    );
  }
}
const mapStateToProps = (state) => ({});
const PdfModal = withTranslation()(
  connect(mapStateToProps, mapDispatchToProps)(ConnectedPdfModal)
);
export default PdfModal;
