
import { Col, Progress, Row } from 'antd';
import React, { Component } from 'react';
import { withTranslation } from 'react-i18next';
import { connect } from 'react-redux';
import Unity, { UnityContext } from 'react-unity-webgl';
import "./file_uploader.css";
const mapDispatchToProps = (dispatch) => {
    return {};
};


class ConnectedUnityWebbGL3dViewerCourseEditor extends Component {
  state = {
    webGlLoaded: false,
    progression: 0,
    text: <span>{this.props.t("HELP_INFO")}</span>,
  };
  context = null;
  
  componentWillUnmount = () => {
    if (this.context && this.context !== null) {
      this.context.removeEventListener("progress");
    
    }
  };

  tooltipRender = () => {
    return (
      <Row gutter={24} style={{ maxWidth: "50vw" }}>
        <Col span={24}>
          <h3>{this.props.t("HELP_NAVIGATION")}</h3>
          <div style={{ marginLeft: 20 }}>
            <p>
              <strong>{this.props.t("HELP_LOOK_AROUND")}:</strong>{" "}
              {this.props.t("HELP_LOOK_AROUND_DESC")}{" "}
            </p>
            <p>
              <strong>{this.props.t("HELP_MOVE_IN_AREA")}</strong>{" "}
              {this.props.t("HELP_MOVE_IN_AREA_DESC")}
            </p>
            <p>
              <strong>{this.props.t("HELP_LIFT_UP_DOWN")}</strong>{" "}
              {this.props.t("HELP_LIFT_UP_DOWN_DESC")}
            </p>
            <p>
              <strong>{this.props.t("HELP_CAMERA_PAN")}</strong>{" "}
              {this.props.t("HELP_CAMERA_PAN_DESC")}
            </p>
            <p>
              <strong>{this.props.t("HELP_CAMERA_ORBIT")}</strong>{" "}
              {this.props.t("HELP_CAMERA_ORBIT_DESC")}
            </p>
            <p>
              <strong>{this.props.t("HELP_SELECT")}</strong>
              {this.props.t("HELP_SELECT_DESC")}
            </p>
          </div>
        </Col>
        <Col span={24}>
          <h3>{this.props.t("HELP_EXTENSIONS")}:</h3>
          <div style={{ marginLeft: 20 }}>
            <p>
              <strong>{this.props.t("HELP_PICTURE")}:</strong>
              {this.props.t("HELP_PICTURE_DESC")}
            </p>
            <p>
              <strong>{this.props.t("HELP_MOVIE")}:</strong>
              {this.props.t("HELP_MOVIE_DESC")}
            </p>
            <p>
              <strong>{this.props.t("HELP_VOICE")}:</strong>
              {this.props.t("HELP_VOICE_DESC")}
            </p>
            <p>
              <strong>{this.props.t("HELP_3D")}:</strong>
              {this.props.t("HELP_3D_DESC")}
            </p>
          </div>
        </Col>
      </Row>
    );
  };

  render() {
    const unityContext = new UnityContext({
      codeUrl: "/webGL_3d/Build/VRTanoda_WebGL_model_viewer.wasm",
      loaderUrl: "/webGL_3d/Build/VRTanoda_WebGL_model_viewer.loader.js",
      dataUrl: "/webGL_3d/Build/VRTanoda_WebGL_model_viewer.data",
      frameworkUrl: "/webGL_3d/Build/VRTanoda_WebGL_model_viewer.framework.js",
    });

    unityContext.on("progress", (progression) => {
      const progression_ = progression * 100;
      if (progression === 1) {
        this.setState({
          webGlLoaded: true,
          progression: parseInt(progression_),
        });
      } else {
        this.setState({
          webGlLoaded: false,
          progression: parseInt(progression_),
        });
      }
    });
    unityContext.on("closeApp", () => {
      window.close()
    })
    this.context = unityContext;

    return (
      <div>
        {!this.state.webGlLoaded ? (
          <Row>
            <Progress percent={this.state.progression} status="active" />
          </Row>
        ) : (
          <Row style={{ paddingBottom: 10 }}></Row>
        )}

        <Unity
          // style={{
          //   height: "70vh",
          //   maxWidth: "100%",
          //   minHeigth: "70vh !important",
          //   maxHeight: "100vh !important",
          // }}
          style={{
            height: "70vh",
            maxWidth: "100%",
            width: "100%",
            minHeigth: "70vh !important",
            maxHeight: "100vh !important",
          }}
          unityContext={unityContext}
        />
        <div id="file_uploader"></div>
        <div id="file_uploader_file_list"></div>
      </div>
    );
  }
}
const mapStateToProps = (state) => ({});
const UnityWebbGL3dViewerCourseEditor = withTranslation()(connect(mapStateToProps, mapDispatchToProps)(ConnectedUnityWebbGL3dViewerCourseEditor));
export default UnityWebbGL3dViewerCourseEditor;