import { InfoCircleOutlined } from '@ant-design/icons';
import { Button, Col, Popover, Progress, Row } from 'antd';
import React, { Component } from 'react';
import { connect } from 'react-redux';
import Unity, { UnityContext } from 'react-unity-webgl';
import "./file_uploader.css";
const mapDispatchToProps = (dispatch) => {
    return {};
};


class ConnectedUnityWebBLCourseEditor extends Component {
    state = {
        webGlLoaded: false,
        progression: 0,
        text: <span>Információ</span>
    }

  componentWillUnmount = () =>{}
  
    tooltipRender = () => {
        return <Row gutter={24} style={{ maxWidth: "50vw" }} >
            <Col span={24}>
                <h3>Navigáció</h3>
                <div style={{ marginLeft: 20 }}>
                    <p><strong>Körbe nézés:</strong> Jobb klikk </p>
                    <p><strong>Mozgás a térben</strong> Jobb klikk + WASD</p>
                    <p><strong>Emelkedés/süllyedés a térben</strong> Jobb klikk + QE</p>
                    <p><strong>Kamera pan</strong> Egér görgő lenyomva</p>
                    <p><strong>Kamera orbit</strong> Alt + bal klikk</p>
                    <p><strong>Kijelölés</strong> Bal klikk</p>
                </div>
            </Col>

            <Col span={24}>
                <h3>Kiterjesztések:</h3>
                <div style={{ marginLeft: 20 }}>
                    <p><strong>kép:</strong>	png,jpg,jpeg,bmp</p>
                    <p><strong>videó:</strong>	mp4</p>
                    <p><strong>hang:</strong>	mp3,wav</p>
                    <p><strong>3d:</strong>	fbx,obj,gltf,stl,ply,3mf</p>
                </div>
            </Col>
        </Row>
    }

    render() {

        const unityContext = new UnityContext({
            codeUrl: "/WebGL/Build/VRTanoda_WebGL.wasm",
            loaderUrl: "/WebGL/Build/VRTanoda_WebGL.loader.js",
            dataUrl: "/WebGL/Build/VRTanoda_WebGL.data",
            frameworkUrl: "/WebGL/Build/VRTanoda_WebGL.framework.js"
        });

        unityContext.on("progress", progression => {
            const progression_ = progression * 100;
            if (progression === 1) {
                this.setState({ webGlLoaded: true, progression: parseInt(progression_) })
            } else {
                this.setState({ webGlLoaded: false, progression: parseInt(progression_) })
            }
        });


        return (
          <div>
            {!this.state.webGlLoaded ? (
              <Row>
                <Progress percent={this.state.progression} status="active" />
              </Row>
            ) : (
              <Row style={{ paddingBottom: 10 }}>
                <Popover
                  placement="rightTop"
                  title={this.state.text}
                  content={this.tooltipRender}
                  trigger="click"
                >
                  <Button icon={<InfoCircleOutlined />}>Info</Button>
                </Popover>
              </Row>
            )}
            <Row justify="center" align="middle">
              <Unity
                style={{
                  height: "70vh",
                  maxWidth: "100%",
                      width: "100%",
                  minHeigth: "70vh !important",
                  maxHeight: "100vh !important",
                }}
                unityContext={unityContext}
              />
              <div id="file_uploader"></div>
              <div id="file_uploader_file_list"></div>
            </Row>
          </div>
        );
    }
}
const mapStateToProps = (state) => ({});
const UnityWebBLCourseEditor = connect(mapStateToProps, mapDispatchToProps)(ConnectedUnityWebBLCourseEditor);
export default UnityWebBLCourseEditor;