import {
  CheckCircleTwoTone,
  CloseCircleTwoTone,
} from "@ant-design/icons";
import { Col, Row } from "antd";
import React, { Component } from "react";
import { withTranslation } from "react-i18next";
import { connect } from "react-redux";
const mapDispatchToProps = (dispatch) => {
  return {};
};
class ConnectedExamCourseData extends Component {
  render() {
    return (
      <React.Fragment>
        <Row gutter={[24, 24]}>
          <Col span={12} style={{ display: "flex", alignItems: "center" }}>
            <h3 style={{ margin: "unset", paddingRight: "1em" }}>
              {this.props.t("USER_COURSE_RATING")}:
            </h3>
            {this.props.data.examRating ? this.props.data.examRating : "n/a"}
          </Col>
          <Col span={12} style={{ display: "flex", alignItems: "center" }}>
            <h3 style={{ margin: "unset", paddingRight: "1em" }}>
              {this.props.t("USER_COURSE_SUCCESS")}:
            </h3>
            {this.props.data.examSuccessful ? (
              <CheckCircleTwoTone
                style={{ fontSize: "2em" }}
                twoToneColor="#42f56c"
              />
            ) : (
              <CloseCircleTwoTone
                style={{ fontSize: "2em" }}
                twoToneColor="red"
              />
            )}
          </Col>
        </Row>
        <Row gutter={[24, 24]}>
          <Col span={12} style={{ display: "flex", alignItems: "center" }}>
            <h3 style={{ margin: "unset", paddingRight: "1em" }}>
              {this.props.t("USER_COURSE_TIME_SPENT")}:
            </h3>
            {this.props.data.timeSpent}
          </Col>
          <Col span={12} style={{ display: "flex", alignItems: "center" }}>
            <h3 style={{ margin: "unset", paddingRight: "1em" }}>
              {this.props.t("USER_COURSE_IS_ACTIVE")}:
            </h3>
            {this.props.data.isActive ? (
              <CheckCircleTwoTone
                style={{ fontSize: "2em" }}
                twoToneColor="#42f56c"
              />
            ) : (
              <CloseCircleTwoTone
                style={{ fontSize: "2em" }}
                twoToneColor="red"
              />
            )}
          </Col>
        </Row>
        <Row gutter={[24, 24]}>
          <Col span={24}>
            <h3 style={{ margin: "unset", paddingRight: "1em" }}>
              {this.props.t("USER_COURSE_DESCRIPTION")}:
            </h3>
          </Col>
          <Col span={24}>
            <p>{this.props.data.description}</p>
          </Col>
        </Row>
      </React.Fragment>
    );
  }
}
const mapStateToProps = (state) => ({});
const ExamCourseData = withTranslation()(
  connect(mapStateToProps, mapDispatchToProps)(ConnectedExamCourseData)
);
export default ExamCourseData;
