

import User from "../components/user/user";
import Landing from "../components/landing/landing";
import UserList from "../components/user/list/user-list";
import NewUser from "../components/user/new/new-user";
import EditUser from "../components/user/edit/edit-user";
import TrainerList from "../components/user/list/trainer-list";
import AdminList from "../components/user/list/admin-list";
import EditAdmin from "../components/user/edit/edit-admin";
import EditTrainer from "../components/user/edit/edit-trainer";
import NewAdmin from "../components/user/new/new-admin";
import NewTrainer from "../components/user/new/new-trainer";
import FileManagerBase from "../components/fileManager/file-manager-base";
import QualityControlBasePage from "../components/qualityControl/quality-control-base";
import DigitalTwinControlBasePage from "../components/digitalTwin/digital-twin-control-base";

export const routes = [
  {
    path: "/vrtanoda/landing",
    component: Landing,
    rights: [1, 2],
  },
  {
    path: "/vrtanoda/user",
    component: User,
    rights: [1, 2],
  },
  {
    path: "/vrtanoda/user-list",
    component: UserList,
    rights: [1, 2],
  },
  {
    path: "/vrtanoda/trainer-list",
    component: TrainerList,
    rights: [1, 2],
  },
  {
    path: "/vrtanoda/admin-list",
    component: AdminList,
    rights: [1, 2],
  },
  {
    path: "/vrtanoda/new-user",
    component: NewUser,
    rights: [1, 2],
  },
  {
    path: "/vrtanoda/new-admin",
    component: NewAdmin,
    rights: [1, 2],
  },
  {
    path: "/vrtanoda/new-trainer",
    component: NewTrainer,
    rights: [1, 2],
  },
  {
    path: "/vrtanoda/edit-user/:id",
    component: EditUser,
    rights: [1, 2],
  },
  {
    path: "/vrtanoda/edit-admin/:id",
    component: EditAdmin,
    rights: [1, 2],
  },
  {
    path: "/vrtanoda/edit-trainer/:id",
    component: EditTrainer,
    rights: [1, 2],
  },
  {
    path: "/vrtanoda/file-manager",
    component: FileManagerBase,
    rights: [1, 2],
  },
  {
    path: "/vrtanoda/quality-control",
    component: QualityControlBasePage,
    rights: [1, 2],
  },
  {
    path: "/vrtanoda/digittal-twin-control",
    component: DigitalTwinControlBasePage,
    rights: [1, 2],
  },
];
