import { FILE_MANAGER } from "../constants/action-types";

const initialState = {
  files: [],
  allFiles: [],
  courseList: [],
  message: {},
  status: null,
  coursesFilesStatus: null,
  coursesFilesCode: null,
};

const fileManagerReducer = (state = initialState, action) => {
  switch (action.type) {
    case FILE_MANAGER.GET_ALL_FILE_BY_COURSE_ID_LOADING:
      return Object.assign({}, state, {
        files: [],
        message: {},
        status: "loading",
        code: null,
      });
    case FILE_MANAGER.GET_ALL_FILE_BY_COURSE_ID_LOADED:
      return Object.assign({}, state, {
        files: action.payload.files,
        status: "loaded",
        message: {},
        code: null,
      });
    case FILE_MANAGER.GET_ALL_FILE_BY_COURSE_ID_ERROR:
      return Object.assign({}, state, {
        files: [],
        status: "error",
        message: action.payload.message,
        code: action.payload.code,
      });
    case FILE_MANAGER.GET_ALL_FILE_LOADING:
      return Object.assign({}, state, {
        allFiles: [],
        message: {},
        status: "loading",
        code: null,
      });
    case FILE_MANAGER.GET_ALL_FILE_LOADED:
      return Object.assign({}, state, {
        allFiles: action.payload,
        status: "loaded",
        message: {},
        code: null,
      });
    case FILE_MANAGER.GET_ALL_FILE_ERROR:
      return Object.assign({}, state, {
        allFiles: [],
        status: "error",
        message: action.payload.message,
        code: action.payload.code,
      });
    case FILE_MANAGER.FILE_SAVING:
      return Object.assign({}, state, {
        message: {},
        status: "saving",
        code: null,
      });
    case FILE_MANAGER.FILE_SAVED:
      return Object.assign({}, state, {
        status: "saved",
        message: {},
        code: null,
      });
    case FILE_MANAGER.FILE_ERROR:
      return Object.assign({}, state, {
        status: "error",
        message: action.payload.message,
        code: action.payload.code,
      });
    case FILE_MANAGER.DELETE_LOADING:
      return Object.assign({}, state, {
        message: {},
        status: "deleting",
        code: null,
      });
    case FILE_MANAGER.DELETE_LOADED:
      return Object.assign({}, state, {
        status: "deleted",
        message: {},
        code: null,
      });
    case FILE_MANAGER.DELETE_ERROR:
      return Object.assign({}, state, {
        status: "error",
        message: action.payload.message,
        code: action.payload.code,
      });
    case FILE_MANAGER.GET_ALL_COURSE_BY_FILE_LOADING:
      return Object.assign({}, state, {
        courseList: [],
        message: {},
        coursesFilesStatus: "loading",
        coursesFilesCode: null,
      });
    case FILE_MANAGER.GET_ALL_COURSE_BY_FILE_LOADED:
      return Object.assign({}, state, {
        courseList: action.payload,
        coursesFilesStatus: "loaded",
        message: {},
        coursesFilesCode: null,
      });
    case FILE_MANAGER.GET_ALL_COURSE_BY_FILE_ERROR:
      return Object.assign({}, state, {
        courseList: [],
        coursesFilesStatus: "error",
        message: action.payload.message,
        coursesFilesCode: action.payload.code,
      });
    default:
      return state;
  }
};

export default fileManagerReducer;
