import { FILTER, TAB_HELPER } from "../constants/action-types";

const initialState = {
  sortedInfoBaseCourse: {},
  currentBaseCourseTab: {},
  searchOptionsCourseBase: {},
  sortedInfoQualityCourse: {},
  currentQualityCourseTab: {},
  searchOptionsCourseQuality: {},
  sortedInfoDigitalTwinCourse: {},
  currentDigitalTwinCourseTab: {},
  searchOptionsDigitalTwin: {},
  route: null,
};

const filterReducer = (state = initialState, action) => {
    switch (action.type) {
      case FILTER.BASE_COURSE:
        return Object.assign({}, state, {
          sortedInfoBaseCourse: action.payload,
        });
      case FILTER.BASE_COURSE_RESET:
        return Object.assign({}, state, {
          sortedInfoBaseCourse: {},
        });
      case FILTER.BASE_COURSE_SEARCH_KEYS:
        return Object.assign({}, state, {
          searchOptionsCourseBase: action.payload,
        });
      case FILTER.BASE_COURSE_SEARCH_KEYS_RESET:
        return Object.assign({}, state, {
          searchOptionsCourseBase: {},
        });
      case TAB_HELPER.BASE_COURSE_CURRENT_TAB:
        return Object.assign({}, state, {
          currentBaseCourseTab: action.payload,
        });
      case TAB_HELPER.BASE_COURSE_CURRENT_TAB_RESET:
        return Object.assign({}, state, {
          currentBaseCourseTab: {},
        });
      case FILTER.QUALITY_CONTROL_COURSE:
        return Object.assign({}, state, {
          sortedInfoQualityCourse: action.payload,
        });
      case FILTER.QUALITY_CONTROL_COURSE_RESET:
        return Object.assign({}, state, {
          sortedInfoQualityCourse: {},
        });
      case FILTER.QUALITY_CONTROL_COURSE_SEARCH_KEYS:
        return Object.assign({}, state, {
          searchOptionsCourseQuality: action.payload,
        });
      case FILTER.QUALITY_CONTROL_COURSE_SEARCH_KEYS_RESET:
        return Object.assign({}, state, {
          searchOptionsCourseQuality: {},
        });
      case TAB_HELPER.QUALITY_CONTROL_COURSE_CURRENT_TAB:
        return Object.assign({}, state, {
          currentQualityCourseTab: action.payload,
        });
      case TAB_HELPER.QUALITY_CONTROL_COURSE_CURRENT_TAB_RESET:
        return Object.assign({}, state, {
          currentQualityCourseTab: {},
        });
      case FILTER.DIGITAL_TWIN_COURSE:
        return Object.assign({}, state, {
          sortedInfoDigitalTwinCourse: action.payload,
        });
      case FILTER.DIGITAL_TWIN_COURSE_RESET:
        return Object.assign({}, state, {
          sortedInfoDigitalTwinCourse: {},
        });
      case FILTER.DIGITAL_TWIN_COURSE_SEARCH_KEYS:
        return Object.assign({}, state, {
          searchOptionsDigitalTwin: action.payload,
        });
      case FILTER.DIGITAL_TWIN_COURSE_SEARCH_KEYS_RESET:
        return Object.assign({}, state, {
          searchOptionsDigitalTwin: {},
        });
      case TAB_HELPER.DIGITAL_TWIN_COURSE_CURRENT_TAB:
        return Object.assign({}, state, {
          currentDigitalTwinCourseTab: action.payload,
        });
      case TAB_HELPER.DIGITAL_TWIN_COURSE_CURRENT_TAB_RESET:
        return Object.assign({}, state, {
          currentDigitalTwinCourseTab: {},
        });
      default:
        return state;
    }
};

export default filterReducer;
