import { LANGUAGE } from "../constants/action-types";

const initialState = {
  languages: [],
  message: {},
  code: null,
};

const languageReducer = (state = initialState, action) => {
  switch (action.type) {
    case LANGUAGE.LANGUAGE_LOADING:
      return Object.assign({}, state, {
        languages: [],
        message: {},
        status: "loading",
        code: null,
      });
    case LANGUAGE.LANGUAGE_LOADED:
      return Object.assign({}, state, {
        languages: action.payload,
        status: "loaded",
        message: {},
        code: null,
      });
    case LANGUAGE.LANGUAGE_ERROR:
      return Object.assign({}, state, {
        languages: [],
        status: "error",
        message: action.payload.message,
        code: action.payload.code,
      });
    default:
      return state;
  }
};

export default languageReducer;
