import { STATISTICS } from "../constants/action-types";

const initialState = {
    userStatisticsByCourseId: [],
    tactActions: [],
    tactUsers: [],
    statistics: [],
    message: {},
    status: null,
    code: null,
};

const statisticsReducer = (state = initialState, action) => {
    switch (action.type) {
        case STATISTICS.TACT_STATISTICS_BY_USER_AND_COURSE_LOADING:
            return Object.assign({}, state, {
                userStatisticsByCourseId: [],
                message: {},
                status: "loading",
                code: null,
            });
        case STATISTICS.TACT_STATISTICS_BY_USER_AND_COURSE_LOADED:
            return Object.assign({}, state, {
                userStatisticsByCourseId: action.payload,
                status: "loaded",
                message: {},
                code: null,
            });
        case STATISTICS.TACT_STATISTICS_BY_USER_AND_COURSE_ERROR:
            return Object.assign({}, state, {
                userStatisticsByCourseId: [],
                status: "error",
                message: action.payload.message,
                code: action.payload.code,
            });
        case STATISTICS.TACT_STATISTICS_LOADING:
            return Object.assign({}, state, {
                statistics: [],
                message: {},
                status: "loading",
                code: null,
            });
        case STATISTICS.TACT_STATISTICS_LOADED:
            return Object.assign({}, state, {
                statistics: action.payload,
                status: "loaded",
                message: {},
                code: null,
            });
        case STATISTICS.TACT_STATISTICS_ERROR:
            return Object.assign({}, state, {
                statistics: [],
                status: "error",
                message: action.payload.message,
                code: action.payload.code,
            });
        case STATISTICS.TACT_STATISTICS_USERS_LOADING:
            return Object.assign({}, state, {
                tactUsers: [],
                message: {},
                status: "loading",
                code: null,
            });
        case STATISTICS.TACT_STATISTICS_USERS_LOADED:
            return Object.assign({}, state, {
                tactUsers: action.payload,
                status: "loaded",
                message: {},
                code: null,
            });
        case STATISTICS.TACT_STATISTICS_USERS_ERROR:
            return Object.assign({}, state, {
                tactUsers: [],
                status: "error",
                message: action.payload.message,
                code: action.payload.code,
            });
        case STATISTICS.TACT_STATISTICS_ACTION_BY_TACT_STATISTIC_ID_LOADING:
            return Object.assign({}, state, {
                tactActions: [],
                message: {},
                status: "loading",
                code: null,
            });
        case STATISTICS.TACT_STATISTICS_ACTION_BY_TACT_STATISTIC_ID_LOADED:
            return Object.assign({}, state, {
                tactActions: action.payload,
                status: "loaded",
                message: {},
                code: null,
            });
        case STATISTICS.TACT_STATISTICS_ACTION_BY_TACT_STATISTIC_ID_ERROR:
            return Object.assign({}, state, {
                tactActions: [],
                status: "error",
                message: action.payload.message,
                code: action.payload.code,
            });
        default:
            return state;
    }
};

export default statisticsReducer;
