import { TAB_HELPER } from "../constants/action-types";

const initialState = {
  currentBaseCourseTab: 1,
  currentQualityTab: 1,
  currentDigitalTwinTab: 1,
};

const tabHelperReducer = (state = initialState, action) => {
  switch (action.type) {
    case TAB_HELPER.BASE_COURSE_CURRENT_TAB:
      return Object.assign({}, state, {
        currentBaseCourseTab: action.payload,
      });
    case TAB_HELPER.BASE_COURSE_CURRENT_TAB_RESET:
      return Object.assign({}, state, {
        currentBaseCourseTab: 1,
      });
    case TAB_HELPER.QUALITY_CONTROL_COURSE_CURRENT_TAB:
      return Object.assign({}, state, {
        currentQualityTab: action.payload,
      });
    case TAB_HELPER.QUALITY_CONTROL_COURSE_CURRENT_TAB_RESET:
      return Object.assign({}, state, {
        currentQualityTab: 1,
      });
    case TAB_HELPER.DIGITAL_TWIN_COURSE_CURRENT_TAB:
      return Object.assign({}, state, {
        currentDigitalTwinTab: action.payload,
      });
    case TAB_HELPER.DIGITAL_TWIN_COURSE_CURRENT_TAB_RESET:
      return Object.assign({}, state, {
        currentDigitalTwinTab: 1,
      });
    default:
      return state;
  }
};

export default tabHelperReducer;
