import { UNITY } from "../constants/action-types";
import Cookies from "universal-cookie";

const initialState = {
  isActive: false,
};

const unityReducer = (state = initialState, action) => {
  const cookies = new Cookies();
  switch (action.type) {
    case UNITY.SET_ACTIVE:
      cookies.set("isEditorOpen", true, { path: "/" });
      return Object.assign({}, state, {
        isActive: true,
      });
    case UNITY.SET_DEACTIVE:
      cookies.set("isEditorOpen", false, { path: "/" });
      return Object.assign({}, state, {
        isActive: false,
      });
    default:
      return state;
  }
};

export default unityReducer;
